Hiring dashboard
GET
/api/v1/hiring/dashboard
const url = 'https://api.ultimateteam.ai/api/v1/hiring/dashboard';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ultimateteam.ai/api/v1/hiring/dashboard \ --header 'X-API-Key: <X-API-Key>'Get a summary of all hiring activity for the tenant.
Authorizations
Section titled “Authorizations”Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
HiringDashboardEnvelope
Typed envelope for GET /dashboard.
object
data
required
HiringDashboardResponse
Response body for the hiring activity dashboard.
Attributes: active_processes: List of active hiring process summaries. total_applicants: Total number of applicants across all processes. interviews_scheduled: Number of interviews currently scheduled. offers_pending: Number of pending offers.
object
active_processes
Active Processes
Active hiring process summaries
Array<object>
object
key
additional properties
any
interviews_scheduled
Interviews Scheduled
Number of interviews scheduled
integer
offers_pending
Offers Pending
Number of pending offers
integer
total_applicants
Total Applicants
Total applicants across all processes
integer
meta
required
ResponseMeta
Standard metadata attached to every API response.
object
request_id
required
Request Id
Unique request identifier
string
timestamp
required
Timestamp
Server timestamp of the response
string format: date-time
Example
{ "data": { "interviews_scheduled": 0, "offers_pending": 0, "total_applicants": 0 }}